Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1340660 - evince does not render this pdf correctly
Summary: evince does not render this pdf correctly
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: cairo
Version: 23
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Benjamin Otte
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-29 22:32 UTC by Dmitri A. Sergatskov
Modified: 2016-12-20 20:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 20:43:07 UTC
Type: Bug


Attachments (Terms of Use)
pdf will not render on evince/okular (26.43 KB, application/pdf)
2016-05-29 22:32 UTC, Dmitri A. Sergatskov
no flags Details
bad rendering by evince (22.02 KB, image/png)
2016-05-30 14:37 UTC, Dmitri A. Sergatskov
no flags Details
bad rendering by okular (37.60 KB, image/png)
2016-05-30 14:38 UTC, Dmitri A. Sergatskov
no flags Details

Description Dmitri A. Sergatskov 2016-05-29 22:32:37 UTC
Created attachment 1162630 [details]
pdf will not render on evince/okular

Description of problem:
evince does not render a pdf correctly

Version-Release number of selected component (if applicable):
evince-3.18.2-4.fc23

How reproducible:
100%

Steps to Reproduce:
1. open attached bowl.pdf file
2.
3.

Actual results:
partial rendering

Expected results:
both firefox and chrome renders it correctly

Additional info:
okular and Foxit do not render it correctly either, so it is probably an issue with some underlying library. I suspect the mesh density in the cone on the picture is too high and that confuses the renderer.

Dmitri.

Comment 1 Marek Kašík 2016-05-30 10:49:48 UTC
Hi,

could you attach screenshot of the partial rendering?

Comment 2 Dmitri A. Sergatskov 2016-05-30 14:37:09 UTC
Created attachment 1162821 [details]
bad rendering by evince

Comment 3 Dmitri A. Sergatskov 2016-05-30 14:38:23 UTC
Created attachment 1162835 [details]
bad rendering by okular

Comment 4 Marek Kašík 2016-05-31 16:20:04 UTC
Hi,

which application created the PDF? The PDF is incorrect. It contains "-nan" where should be numbers between 0.0 and 1.0 (for RG operator).

Comment 5 Dmitri A. Sergatskov 2016-05-31 17:21:19 UTC
That was octave --> gnuplot --> cairo library.

Comment 6 Marek Kašík 2016-06-01 10:06:09 UTC
So I'm reassigning this to cairo so its maintainer can check whether it is a bug in cairo.

Comment 7 Dmitri A. Sergatskov 2016-06-01 13:58:20 UTC
It appears to be both bugs in octave (for sending wrong command to gnuplot) and in gnuplot (for not error out the wrong parameter). See:

https://sourceforge.net/p/gnuplot/mailman/message/35128378/

Comment 8 Fedora End Of Life 2016-11-25 09:09:22 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2016-12-20 20:43:07 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.